Bug 141357 - USB pilot sync broken on 2.6.9-1.6_FC2
USB pilot sync broken on 2.6.9-1.6_FC2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 12:38 EST by Jorge
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:13:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorge 2004-11-30 12:38:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I have a Palm Zire 71 and keep it sync'd to my machine using jpilot.
Have been doing this for a while now. I just upgraded the kernel to
2.6.9-1.6_FC2 (from 2.6.8-1.521), and now, when I press the sync
button on jpilot, the connection always dies in the middle of the
transfer. If I reboot the old kernel (2.6.8-1.521), it works fine. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.6_FC2

How reproducible:
Always

Steps to Reproduce:
1. Put Zire 71 on cradle
2. Start jpilot
3. Press the "sync" button on the pilot
4. Sync starts, then hangs halfway through.
    

Actual Results:  The sync operation hangs. The Zire reports "The
connection between your handheld computer and the desktop was lost.
Some of your data was NOT backed up. Please check your setup and try
again."

Expected Results:  The sync operation should finish and the data
should be backed up on the computer.

Additional info:

From /var/log/messages:

Nov 30 09:26:47 cueva kernel: usb 5-1: new full speed USB device using
address 2Nov 30 09:26:48 cueva kernel: usb 5-1: control timeout on ep0in
Nov 30 09:26:48 cueva kernel: visor 5-1:1.0: Handspring Visor / Palm
OS converter detected
Nov 30 09:26:48 cueva kernel: usb 5-1: Handspring Visor / Palm OS
converter now attached to ttyUSB0
Nov 30 09:26:48 cueva kernel: usb 5-1: Handspring Visor / Palm OS
converter now attached to ttyUSB1
Nov 30 09:26:56 cueva kernel: usb 5-1: USB disconnect, address 2
Nov 30 09:26:56 cueva kernel: visor 5-1:1.0: device disconnected
Comment 1 Vic Ricker 2004-12-01 12:08:59 EST
I'm having the same problem.  It appears that the kernel is assiging
the palm (I have a Treo 600) to different devices when I press the
hotsync button.  Typically it uses /dev/ttyUSB0 and ttyUSB1.  (1 is
used for hotsync and, I believe 0 is the modem.)  After the upgrade to
the latest kernel (2.6.9-1.6), it was using ttyUSB2 and ttyUSB3.  I
tried changing the pilot settings to use the new device but it looked
like the kernel decided to move the palm back to ttyUSB0 and ttyUSB1
on the next press of the hotsync button.

I also had problems restarting the computer under this kernel.

I'm back at the .521 kernel and all is well.

Comment 2 Russell Tokuyama 2004-12-18 16:31:30 EST
See bug 140816.  Going to 2.6.9-1.9_FC2/i686 seemed to cure the
pilot-link sync brokeness of 2.6.9-1.6_FC2 on my IBM ThinkPad A22p
laptop.  My Handspring can now sync with ttyUSB0 (general) and ttyUSB1
(hotsync).
Comment 3 Dave Jones 2004-12-18 21:40:47 EST
the updates-testing kernel is moving to updates proper soon, so moving
this to modified state.

Note You need to log in before you can comment on or make changes to this bug.